Name: libjpeg
Version: 6b
Release: alt8
Serial: 1

Summary: A library for manipulating JPEG image format files
License: distributable
Group: System/Libraries
Url: http://www.ijg.org/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
Source: jpegsrc.v6b.tar
Source1: libjpeg-6b-copyright
Source2: http://jpegclub.org/jpegexiforient.c
Source3: exifautotran
Source4: jpeginfo.c

Patch0: libjpeg-6b-suse-int32.patch
Patch1: libjpeg-6b-rh-arm.patch
Patch2: libjpeg-6b-rh-rpath.patch
Patch3: libjpeg-6b-rh-shared.patch
Patch4: libjpeg-6b-rh-cplusplus.patch
Patch5: libjpeg-6b-up-crop.patch
Patch6: libjpeg-6b-deb-crop_man.patch
Patch7: libjpeg-6b-deb-rdppm.patch
Patch8: libjpeg-6b-alt-makefile.patch
Patch9: libjpeg-6b-alt-rdjpgcom-i18n.patch

%def_enable static

%package devel
Summary: Development tools for programs which will use the libjpeg library
Group: Development/C
Requires: %name = %serial:%version-%release
%ifnarch %ix86
Provides: %name-mmx-devel
%endif

%package devel-static
Summary: Static libjpeg library
Group: Development/C
Requires: %name-devel = %serial:%version-%release
%ifnarch %ix86
Provides: %name-mmx-devel-static
%endif

%package utils
Summary: Programs for manipulating JPEG format image files
Group: Graphics
Requires: %name = %serial:%version-%release

%description
This package contains a shared library of functions for loading,
manipulating and saving JPEG format image files.

%description devel
This package includes development files necessary for developing programs
which will manipulate JPEG files using the jpeg library.

%description devel-static
This package includes static library necessary for developing statically
linked programs which will manipulate JPEG files using the jpeg library.

%description utils
This package contains simple client programs for accessing the
libjpeg functions.  Libjpeg client programs include cjpeg, djpeg,
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file
into JPEG format.  Djpeg decompresses a JPEG file into a regular
image file.  Jpegtran can perform various useful transformations
on JPEG files.  Rdjpgcom displays any text comments included in
a JPEG file.  Wrjpgcom inserts text comments into a JPEG file.

%prep
%setup -q -n jpeg-6b
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
find -type f -name \*.orig -delete
install -pm644 %_sourcedir/libjpeg-6b-copyright Copyright
install -pm644 %_sourcedir/{jpegexiforient,jpeginfo}.c .
install -pm755 %_sourcedir/exifautotran .

%build
# Simulate libtoolize for this ancient package.
install -pm755 /usr/share/libtool/config.* .
%configure \
	--enable-shared \
	%{subst_enable static} \
	--disable-rpath \
	#
%make_build
make jpegexiforient
%__cc $CPPFLAGS -D_GNU_SOURCE jpeginfo.c -L.libs -ljpeg -o jpeginfo
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:LD_LIBRARY_PATH=$PWD make -k test}}}
LD_LIBRARY_PATH=.libs ./jpeginfo *.jpg >/dev/null
bzip2 -9fk libjpeg.doc structure.doc usage.doc

%install
mkdir -p %buildroot{%_bindir,%_libdir,%_includedir,%_man1dir}
%makeinstall
install -pm755 exifautotran jpegexiforient jpeginfo %buildroot%_bindir/

%define docdir %_docdir/%name-%version
rm -rf %buildroot%docdir
mkdir -p %buildroot%docdir
install -pm644 README Copyright change.log example.c coderules.doc \
	jconfig.doc libjpeg.doc.bz2 structure.doc.bz2 usage.doc.bz2 wizard.doc \
	%buildroot%docdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %docdir
%docdir/Copyright

%files utils
%_bindir/*
%_mandir/man?/*

%files devel
%_libdir/*.so
%_includedir/*
%dir %docdir
%docdir/[^C]*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif #static

%changelog
* Mon Apr 09 2007 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt8
- Enabled devel-static packaging (#10468).

* Mon Mar 06 2006 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt7
- Fixed build with --as-needed.

* Fri Feb 17 2006 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt6
- Disabled build and packaging of static library by default.
- Provide %name-mmx-devel for non-ix86 architectures (#9094).

* Wed May 11 2005 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt5
- Fixed definition of INT32 in jmorecfg.h (SuSE, closes #6533).

* Wed Oct 13 2004 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt4
- Added home-bred jpeginfo utility.

* Tue Oct 12 2004 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt3
- Added jpegexiforient utility from http://jpegclub.org/.
- Added exifautotran utility based on
  http://jpegclub.org/exifautotran.sh.

* Mon Oct 11 2004 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt2
- Applied lossless-crop patch from
  http://jpegclub.org/croppatch.tar.gz
- Merged patches from debian package.
- Fixed docs packaging.

* Wed Nov 26 2003 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt1
- Do not package .la files.
- Additional convention enforcement on patch file names.

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 6b-ipl18mdk
- rebuild with new gcc3

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 6b-ipl17mdk
- Moved static library to devel-static subpackage.
- Aadded some C++ tweaks to the headers (rh).

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 6b-ipl16mdk
- RE adaptions.

* Wed Jan  3 2001 <yduret@mandrakesoft.com> 6b-16mdk
- macroization
- added URL:, %%doc
- split into libjpeg, libjpeg-utils and libjpeg-devel

* Fri Jul 26 2000 <adussart@mandrakesoft.com> 6b-15mdk
- Updated %%files section.

* Thu May 04 2000 <adussart@mandrakesoft.com> 6b-14mdk
- Fixed HAVE_STDLIB_H redefine bug.

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 6b-13mdk
- New group

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force
- fix strange ./libtool needed by forcing LIBTOOL=libtool

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- patch to build on arm
- build for glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix buildroot problem.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package
